# execute a raycast to get the position of the clicked chest
execute as @s at @s anchored eyes positioned ^ ^ ^ anchored feet run function bundle:raycast/start_ray

# setting up the transfer operation
execute at @n[type=marker,tag=container.marker] run function bundle:new_bundle/transfer/setup/prepare

# copy the content of the container inside the bundle
execute as @n[type=item,nbt={Item:{components:{"minecraft:custom_data":{storing:true}}}}] at @s run function bundle:new_bundle/transfer/prevent_bundle_nesting/copy_container_content_1

# stop the sound of the chest opening and empty the player's hand
stopsound @s block block.chest.open
item replace entity @s weapon.mainhand with air

# call the next function as the newly summoned bundle entity item
execute as @n[type=item,nbt={Item:{components:{"minecraft:custom_data":{storing:true}}}}] at @s run function bundle:new_bundle/transfer/step_2

# kill the current entity as it has fulfilled its purpose
execute as @n[type=marker,tag=container.marker] at @s run kill @s

# remove the tag used to "track" the current player
tag @s remove bb_transfer
tellraw @a "Spine"